Skip to content
POST /unified/accounting/transactions

Query Parameters

Refer Specifying query parameters in Truto APIs

transaction_typestring

The type of the transaction

Possible values:
credit_carddepositestimatereceivereceive_overpaymentreceive_prepaymentrefundspendspend_overpaymentspend_prepaymenttransfer
3 supported2 required
QuickBooks
required
transfercredit_card
Xero
required
transfer
ERPNext
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

accountstring

The account which receives the transaction

References: Accounts → id
3 supported1 required
ERPNext
required
QuickBooks
supported
Xero
supported
account_fromstring

The account which initiates the transaction

References: Accounts → id
2 supported
QuickBooks
supported
Xero
supported
currencystring

The currency of the transaction

3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
numberstring

The number of the transaction

2 supported
ERPNext
supported
QuickBooks
supported
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

total_amountstring

The total amount of the transaction

3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
transaction_datestring · date-time

Required in transaction type credit_card

3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
transaction_typestring

The type of the transaction

Possible values:
refunddepositestimatetransfercredit_cardspendreceivereceive_overpaymentreceive_prepaymentspend_overpaymentspend_prepaymenttransfer
2 supported
ERPNext
supported
transfer
Xero
supported

Response Body

idstring
required·

The unique identifier for transactions

3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
accountstring

The account which receives the transaction

References: Accounts → id
3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
account_fromstring

The account which initiates the transaction

References: Accounts → id
2 supported
QuickBooks
supported
Xero
supported
companystring

The company the transaction belongs to

References: CompanyInfo → id
1 supported
ERPNext
supported
contactstring

The contact to whom the transaction relates to

References: Contacts → id
3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
created_atstring · date-time

This represents the date when the transaction was created

3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
currencystring

The currency of the transaction

3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
exchange_ratestring

The exchange rate of the transaction

1 supported
Xero
supported
line_itemsobject[]
2 supported
QuickBooks
supported
Xero
supported
accountstring

The ID of the account

currencystring

The currency of the line item

descriptionstring

The description of the line item

exchange_ratenumber

The exchange rate of the currency for the line item

idstring

The unique identifier for line item

itemstring

The ID of the item

namestring

The name of the line item

quantitynumber

The quantity of the line item

tax_ratestring

The ID of the tax rate

total_line_amountnumber

The total line amount of the line item.

tracking_categoriesobject[]

Tracking categories of the line item

3 properties
idstring

The ID of the tracking category

namestring

The name of the tracking category

optionstring

The option of the tracking category

typestring

The type of the line item

unit_pricenumber

The unit price of the line item

numberstring

The number of the transaction

2 supported
ERPNext
supported
QuickBooks
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

total_amountstring

The total amount of the transaction

3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
tracking_categoriesobject[]

Tracking categories of the transaction

2 supported
QuickBooks
supported
Xero
supported
idstring
required·

The unique identifier for tracking categories

namestring

The name of the tracking category

transaction_datestring · date-time

The date upon which the transaction occurred

3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
transaction_typestring

The type of the transaction

Possible values:
refunddepositestimatetransfercredit_cardspendreceivereceive_overpaymentreceive_prepaymentspend_overpaymentspend_prepayment
2 supported
ERPNext
supported
Xero
supported
updated_atstring · date-time

This represents the date when the transaction was updated

3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
curl -X POST 'https://api.truto.one/unified/accounting/transactions?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "number": "your_number",
  "transaction_type": "refund",
  "transaction_date": "your_transaction_date",
  "account": "your_account",
  "total_amount": "your_total_amount",
  "currency": "your_currency",
  "account_from": "your_account_from",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "number": "your_number",
  "transaction_type": "refund",
  "transaction_date": "your_transaction_date",
  "account": "your_account",
  "total_amount": "your_total_amount",
  "currency": "your_currency",
  "account_from": "your_account_from",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/accounting/transactions?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/transactions"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "number": "your_number",
    "transaction_type": "refund",
    "transaction_date": "your_transaction_date",
    "account": "your_account",
    "total_amount": "your_total_amount",
    "currency": "your_currency",
    "account_from": "your_account_from",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'accounting',
  'transactions',
  {
  "number": "your_number",
  "transaction_type": "refund",
  "transaction_date": "your_transaction_date",
  "account": "your_account",
  "total_amount": "your_total_amount",
  "currency": "your_currency",
  "account_from": "your_account_from",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "accounting",
        "transactions",
        {
        "number": "your_number",
        "transaction_type": "refund",
        "transaction_date": "your_transaction_date",
        "account": "your_account",
        "total_amount": "your_total_amount",
        "currency": "your_currency",
        "account_from": "your_account_from",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())